%global module_name posix-getopt

Name:           nodejs-%{module_name}
Version:        1.2.0
Release:        1%{?dist}
Summary:        POSIX-style getopt() for Node.js

License:        MIT
URL:            https://github.com/davepacheco/node-getopt
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
node-getopt implements the POSIX getopt() function for Node. 
getopt() provides a functional interface for option parsing.

%prep
%setup -q -n package
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
node tests/test*.js

%files
%doc README.md examples
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Sun Aug 28 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.2.0-1
- Update to 1.2.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 03 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.1.0-1
- Initial packaging

